# Config

### General config

```javascript
{
    "writer": {
        "url": "__INSERT_WRITER_URL__" // url to writer
    },
    "lcc": {
        "provider": "__INSERT_LCC_PROVIDER__" // name of content agent provider
    },
    "icp": {
        "provider": "__INSERT_ICP_PROVIDER__", // name of image provider
        "thumbnail": "default"
    },
    "displayPublishedFilter": true, // wheter to display if a article is published or not
    "defaultListLimit": 30 // the default limit on an list
}
```

### Property mapper

#### List

```javascript
{
    "products": "Products",
    "checksum": "checksum",
    "uuid": "uuid",
    "limit": "ListItemLimit",
    "created": "created",
    "updated": "updated",
    "contentType": "contenttype",
    "name": "Name",
    "description": "Description",
    "type": "Type",
    "contentUuids": "ListContentUuids",
    "xml": "ListXML",
    "units": "NavigaUnits",
    "package": {
        "property": "PackageRelations"
    },
    "contentArticles": {
        "property": "ArticleRelations"
    },
    "contentPackages": {
        "property": "ContentPackageRelations"
    },
    "contentLists": {
        "property": "ContentListRelations"
    }
}
```

#### Package

```javascript
{
    "products": "Products",
    "checksum": "checksum",
    "uuid": "uuid",
    "contentType": "contenttype",
    "created": "created",
    "updated": "updated",
    "name": "Name",
    "type": "Type",
    "category": "PackageCategory",
    "coverUuid": "PackageCoverArticleUuid",
    "published": "PackagePublished",
    "pubStatus": "PackagePubStatus",
    "pubStart": "PackagePubStart",
    "pubStop": "PackagePubStop",
    "listUuid": "PackageListUuid",
    "xml": "PackageXML",
    "units": "NavigaUnits",
    "cover": {
        "property": "CoverArticleRelation"
    },
    "list": {
        "property": "ListRelation"
    }
}
```

#### Article

```javascript
{
    "uuid": "uuid",
    "contentType": "contenttype",
    "headline": "WriterHeadlines",
    "section": "ArticleMetaSections",
    "imageIdentifier": "ArticleMetaImageUuids",
    "hasPublishedVersion": "WriterHasPublishedVersion",
    "coverImageIdentifier": "ArticleMetaImageUuids",
    "coverHeadline": "WriterHeadlines",
    "coverBody": "ArticleMetaSections",
    "pubStatus": "WriterPubStatus"
}
```

### Products

```javascript
[
    {
        "name": "Example-single-group", // display name
        "value": [ // values to write in the xml
            "esg" 
        ]
    },
    {
        "name": "Example-multi-group",
        "value": [ // adds multiple values to the xml
            "emg-1",
            "emg-2"
        ]
    }
]
```

### Template config

#### Item

```javascript
{
    "header": { // optional
        "displayDate": false,
        "displayPremium": false, //requires a mapped premium key in article property map (boolean)
        "products": {
            "key": "__KEY_TO_MAP_FOR_PRODUCTS__" // property key to map for products
        }
    },
    "title": [ // array of keys to display in title part
        {
            "key": "__INSERT_KEY_FOR_HEADLINE__"
        }
    ],
    "body": [ // array of keys to display in body part
        {
            "key": "section"
        },
        {
            "key": "__OTHER_KEY__"
        },
        {
            "key": "__OTHER_KEY__"
        }
    ],
    "imageIdentifier": { // image identifier
        "key": "__INSERT_KEY_FOR_IMAGE_IDENTIFIER__"
    }
}
```

#### Cover

```javascript
{
    "header": { // optional
        "displayDate": false,
        "displayPremium": false, //requires a mapped premium key in article property map (boolean)
        "products": {
            "key": "__KEY_TO_MAP_FOR_PRODUCTS__" // property key to map for products
        }
    },
    "title": [ // array of keys to display in title part
        {
            "key": "__INSERT_KEY_FOR_HEADLINE__"
        }
    ],
    "body": [ // array of keys to display in body part
        {
            "key": "section"
        },
        {
            "key": "__OTHER_KEY__"
        },
        {
            "key": "__OTHER_KEY__"
        }
    ],
    "imageIdentifier": { // image identifier
        "key": "__INSERT_KEY_FOR_IMAGE_IDENTIFIER__"
    }
}
```

#### Product icons

```javascript
[
    {
        "key": "__NAME_OF_PRODUCT__",
        "value": "base64-encoded-image"
    }
]
```

### List Options

```javascript
{
    "search": {
        "sortProperty": "updated",
        "suggestQuery": "contenttype: List",
        "filterQuery": "contenttype: List AND metadata_mimetype: infomaker/list-2.0",
        "suggestFields": [],
        "labels": {
            "_all": "Free text"
        },
        "keysToFetch": [] // optional keys to fetch, the necessary ones are fetched by default
    },
    "types": [ // types of list to choose from. Add more types in order to filter them
        {
            "name": "Lista",
            "value": "list"
        }
    ]
}
```

### Package Options

```javascript
{
    "search": {
        "suggestQuery": "contenttype: Package",
        "filterQuery": "contenttype: Package AND metadata_mimetype: infomaker/package-1.0",
        "suggestFields": [],
        "labels": {
            "_all": "Free text"
        },
        "keysToFetch": [] // optional keys to fetch, the necessary ones are fetched by default
    },
    "types": [ // specify the different types of package you'd want
        { // example of type that also has a sub category. i.e: Edition > Sport
            "name": "__TypeWithCategory__",
            "value": "__TypeWithCategoryValue__",
            "categories": [
                {
                    "name": "__CategoryName__",
                    "value": "__CateogoryValue__"
                }
            ]
        },
        { // exmple of one generic type
            "name": "__Type__",
            "value": "__TypeValue__",
            "categories": []
        }
    ]
}
```

### Article options

```javascript
{
    "keysToFetch": [] // optional keys to fetch, the necessary ones are fetched by default
}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.navigaglobal.com/oc-list/2.0.3/admin/config.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
